Update Item Supplier
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/items/{itemId}/suppliers/{supplierId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Sku": "ART2394871",
"ItemName": "Interdimensional Goggles",
"IsStandard": false,
"PurchasePriceNet": 97.23,
"TaxRate": 19,
"MinimumPurchaseQuantity": 1,
"PermissibleOrderQuantity": 2,
"DeliveryTime": 2,
"UseSupplierDeliveryTime": false,
"Stocklevel": 34,
"IsDropshipping": false,
"MergeStockLevel": false,
"Comment": "A custom comment",
"PackagingUnit": "box",
"AmountPackagingUnit": 1,
"ScalePrices": [
{
"FromQuantity": 0,
"PurchasePriceNet": 94.21,
"ReduceStandardPriceByPercent": 5
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/suppliers/{supplierId}"
payload = {
"Sku": "ART2394871",
"ItemName": "Interdimensional Goggles",
"IsStandard": False,
"PurchasePriceNet": 97.23,
"TaxRate": 19,
"MinimumPurchaseQuantity": 1,
"PermissibleOrderQuantity": 2,
"DeliveryTime": 2,
"UseSupplierDeliveryTime": False,
"Stocklevel": 34,
"IsDropshipping": False,
"MergeStockLevel": False,
"Comment": "A custom comment",
"PackagingUnit": "box",
"AmountPackagingUnit": 1,
"ScalePrices": [
{
"FromQuantity": 0,
"PurchasePriceNet": 94.21,
"ReduceStandardPriceByPercent": 5
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Sku: 'ART2394871',
ItemName: 'Interdimensional Goggles',
IsStandard: false,
PurchasePriceNet: 97.23,
TaxRate: 19,
MinimumPurchaseQuantity: 1,
PermissibleOrderQuantity: 2,
DeliveryTime: 2,
UseSupplierDeliveryTime: false,
Stocklevel: 34,
IsDropshipping: false,
MergeStockLevel: false,
Comment: 'A custom comment',
PackagingUnit: 'box',
AmountPackagingUnit: 1,
ScalePrices: [{FromQuantity: 0, PurchasePriceNet: 94.21, ReduceStandardPriceByPercent: 5}]
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/suppliers/{supplierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Update Item Supplier
Update the information for a specific supplier for a given item
PATCH
/
items
/
{itemId}
/
suppliers
/
{supplierId}
Update Item Supplier
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Body
application/json
The itemSupplier to update.
Model Class: UpdateItemSupplier
Example:
"ART2394871"
Example:
"Interdimensional Goggles"
Example:
false
Example:
97.23
Example:
19
Example:
1
Example:
2
Example:
2
Example:
false
Example:
34
Example:
false
Example:
false
Example:
"A custom comment"
Example:
"box"
Example:
1
Show child attributes
Show child attributes
Response
Was this page helpful?
⌘I